# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "base62-uuid"
version = "2.2.6"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Minimalist crate to generate Base62 UUIDs"
readme = "README.md"
license = "MIT"
repository = "https://github.com/qtfkwk/base62-uuid"

[lib]
name = "base62_uuid"
path = "src/lib.rs"

[[bin]]
name = "base62-uuid"
path = "src/bin/base62-uuid.rs"

[dependencies.base62]
version = "2.2.4"

[dependencies.clap]
version = "4.6.1"
features = [
    "derive",
    "wrap_help",
]

[dependencies.clap-cargo]
version = "0.18.3"

[dependencies.uuid]
version = "1.23.1"
features = ["v4"]
